POST /apispecgenerate

POST /apispecgenerate

/apispecgenerate

Request
URI
POST
https://{api_host}/api/apispecgenerate
COPY
Header Parameters
string
X-Avi-Tenant
Optional

Avi Tenant Header

string
X-Avi-Tenant-UUID
Optional

Avi Tenant Header UUID

string
X-Avi-Version
Required  

The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.

string
X-CSRFToken
Optional

Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.


Request Body

ApiSpecGenerate object creation

ApiSpecGenerate of type(s) application/json
Required  
{
    "_last_modified": "string",
    "completed_events": 0,
    "duration": 0,
    "end_time": "string",
    "name": "string",
    "params": {
        "api_policy_ref": "string",
        "file_object_ref": "string",
        "format": "string",
        "name": "string"
    },
    "path": "string",
    "progress": 0,
    "start_time": "string",
    "state": {
        "last_changed_time": {
            "secs": 0,
            "usecs": 0
        },
        "reason": "string",
        "state": "string"
    },
    "task_events": [
        {
            "nodes_events": [
                {
                    "duration": 0,
                    "end_time": "string",
                    "ip": {
                        "addr": "string",
                        "type": "string"
                    },
                    "message": "string",
                    "start_time": "string",
                    "status": "string",
                    "sub_tasks": [
                        "string"
                    ]
                }
            ],
            "sub_events": [
                {
                    "duration": 0,
                    "end_time": "string",
                    "ip": {
                        "addr": "string",
                        "type": "string"
                    },
                    "message": "string",
                    "start_time": "string",
                    "status": "string",
                    "sub_tasks": [
                        "string"
                    ]
                }
            ],
            "task_name": "string"
        }
    ],
    "tenant_ref": "string",
    "total_events": 0,
    "url": "string",
    "uuid": "string"
}
string
_last_modified
Read-Only  

UNIX time since epoch in microseconds. Units(MICROSECONDS).

integer As uint32 As uint32
completed_events
Optional

Number of tasks completed. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
duration
Optional

Spec generation duration in seconds. Field introduced in 32.1.4. Unit is SEC. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
end_time
Optional

Time the spec generation completed or failed. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
name
Optional

Name of the spec generation object. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

object
params
Optional

params

string
path
Optional

Path to the generated spec file. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
progress
Optional

Overall spec generation progress percentage. Allowed values are 0-100. Field introduced in 32.1.4. Unit is PERCENT. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
start_time
Optional

Time the spec generation started. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

object
state
Optional

state

array of object
task_events
Optional

Per-task status and event details. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
tenant_ref
Optional

It is a reference to an object of type Tenant. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
total_events
Optional

Total number of tasks. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
url
Read-Only  

url

string
uuid
Optional

UUID of the spec generation object. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns ApiSpecGenerate of type(s) application/json
{
    "_last_modified": "string",
    "completed_events": 0,
    "duration": 0,
    "end_time": "string",
    "name": "string",
    "params": {
        "api_policy_ref": "string",
        "file_object_ref": "string",
        "format": "string",
        "name": "string"
    },
    "path": "string",
    "progress": 0,
    "start_time": "string",
    "state": {
        "last_changed_time": {
            "secs": 0,
            "usecs": 0
        },
        "reason": "string",
        "state": "string"
    },
    "task_events": [
        {
            "nodes_events": [
                {
                    "duration": 0,
                    "end_time": "string",
                    "ip": {
                        "addr": "string",
                        "type": "string"
                    },
                    "message": "string",
                    "start_time": "string",
                    "status": "string",
                    "sub_tasks": [
                        "string"
                    ]
                }
            ],
            "sub_events": [
                {
                    "duration": 0,
                    "end_time": "string",
                    "ip": {
                        "addr": "string",
                        "type": "string"
                    },
                    "message": "string",
                    "start_time": "string",
                    "status": "string",
                    "sub_tasks": [
                        "string"
                    ]
                }
            ],
            "task_name": "string"
        }
    ],
    "tenant_ref": "string",
    "total_events": 0,
    "url": "string",
    "uuid": "string"
}
string
_last_modified
Read-Only  

UNIX time since epoch in microseconds. Units(MICROSECONDS).

integer As uint32 As uint32
completed_events
Optional

Number of tasks completed. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
duration
Optional

Spec generation duration in seconds. Field introduced in 32.1.4. Unit is SEC. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
end_time
Optional

Time the spec generation completed or failed. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
name
Optional

Name of the spec generation object. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

object
params
Optional

params

string
path
Optional

Path to the generated spec file. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
progress
Optional

Overall spec generation progress percentage. Allowed values are 0-100. Field introduced in 32.1.4. Unit is PERCENT. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
start_time
Optional

Time the spec generation started. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

object
state
Optional

state

array of object
task_events
Optional

Per-task status and event details. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
tenant_ref
Optional

It is a reference to an object of type Tenant. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
total_events
Optional

Total number of tasks. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
url
Read-Only  

url

string
uuid
Optional

UUID of the spec generation object. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.


401

log in failed

Operation doesn't return any data structure

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/api/apispecgenerate